Download it now!
Bug 44158 - FORMATTING or FILE SAVE - .odt file (containing frames) saved as .doc opens in Word incorrectly
Summary: FORMATTING or FILE SAVE - .odt file (containing frames) saved as .doc opens i...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOC-Frames
  Show dependency treegraph
 
Reported: 2011-12-26 12:07 UTC by Russ Fineman
Modified: 2020-10-02 03:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Original .odt File (1.23 MB, application/vnd.oasis.opendocument.text)
2011-12-26 12:07 UTC, Russ Fineman
Details
.doc file (732.00 KB, application/msword)
2011-12-26 12:12 UTC, Russ Fineman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Russ Fineman 2011-12-26 12:07:30 UTC
Created attachment 54832 [details]
Original .odt File

Saved a 7 page Newsletter from the writter (3.4.4-released as .doc. Opening in WIN xp Word 2003 it looses most of the pages. (example first page good, second thru 6th pages are blank or partical, last page loos good.

openSUSE 12.1(Linux 3.1.0-1.2-desktop x86_64)|KDE Platform 
LibreOffice 3.4.4 OOO340m1 (Build:402)
Version 4.7.4 (4.7.4) Release "11"|Intel core2duo 2.5 MHZ,
|8GB DDR3|GeForce 8400GS (NVIDIA-Linux-290.10-13.1.x86_64)

LibreOffice is native version downloaded from the LibreOffice Website. 

Attached is original .odt and the .doc documents.
Comment 1 Russ Fineman 2011-12-26 12:12:16 UTC
Created attachment 54833 [details]
.doc file

This if file that Word 2003 does not open correctly. Document is normally sent in .PDF format but some clients only have Word or require word becuse they are visually handicapped and there software for reading documents does not handle .pdf or .odt correctly

Let me know if any testing or additional information you would like.
Comment 2 sasha.libreoffice 2012-05-03 02:23:04 UTC
reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit and in  3.5.2 on Windows 7 32 bit
Original file contains much frames. Saved doc Word opens without question. But document differs from original odt.
IMHO problem might be because Writer increased size of objects during saving to doc
Possibly related: bug 40120, bug 40187, bug 42810, bug 43170

changing version to 3.3.4 as most early reproducible
Comment 3 QA Administrators 2015-04-19 03:22:58 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-06-18 16:48:35 UTC
Saved as doc, checked with Word viewer and the issues are still present.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 437210d58f32177ef1829d704f7f4d2f1bbfbfdd
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-18_07:21:56
Locale: fi-FI (fi_FI)
Comment 5 QA Administrators 2016-09-20 10:11:11 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo 2017-10-01 18:15:56 UTC
Still repro in Markus' daily updater build from 2017-09-01

Version: 6.0.0.0.alpha0+
Build ID: 1d0fbc9927f357d25859b7cca7ea5e9a9637681e
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 7 QA Administrators 2018-10-02 02:57:07 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2020-10-02 03:50:48 UTC
Dear Russ Fineman,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug